Celebrating 7 Years! Get up to $30 off GeneratePress Premium!

[Resolved] Will GP work with WordPress 5.0

Home Forums Support [Resolved] Will GP work with WordPress 5.0

Home Forums Support Will GP work with WordPress 5.0

  • This topic has 3 replies, 2 voices, and was last updated 3 years ago by Tom.
Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #561088
    Jo

    I have several sites that run Generate Press and I love the theme. I have been doing some research on WordPress 5.0 and it sounds like it could reek havoc with plugins since it is such a major update. Will GP have any conflicts when the upgrade comes out?

    GeneratePress 2.0.2
    #561195
    Tom
    Lead Developer
    Lead Developer

    Hi there,

    We’re ready for 5.0 (Gutenberg).

    The only issue right now is with our Sections module, so we’ve disabled the Gutenberg editor when Sections is active until that bug is fixed (within Gutenberg).

    #561215
    Jo

    Thanks Tom, I’m getting going on a new site and was reading pros and cons on Gutenberg and it sounds like it could wreak havoc on plugins with sites already in existence. Luckily most of my sites are in GP. I will just have to make sure all the plugins are compatible. They don’t seem to be committing themselves to a release date.

    #561458
    Tom
    Lead Developer
    Lead Developer

    I trust that everything will be mostly backwards compatible.

    Hopefully they don’t commit to a release date until it’s 100%.

Viewing 4 posts - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.